<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
define('CPO', true);
require_once('../_include/common.inc.php');

    require(CPO_BASEDIR."_include/check.php");
    //****** mod_colorpicker *************************************
    if (isset($activeModules['colorpicker'])) { require(CPO_BASEDIR."mod_colorpicker/colorpicker.php"); exit; }


?>
<html>
<head>
<title><?php print(__('Colours')); ?></title>
<meta name="robots" content="noindex,nofollow" />
<link rel="stylesheet" type="text/css" href="<?php echo SKIN_URL.'style_cpo.css.php'; ?>">
<!-- // vim: set expandtab tabstop=4 shiftwidth=4 nowrap: -->
<script type="text/javascript"><!--
function changeColor(color)
{
    if (!color) color = document.getElementById('colorValue').value;
    document.getElementById('colorValue').value  = color;
    document.getElementById('colorShow').bgColor = color;
    return;
}

function ok(closeWindow)
{
    window.opener.pickedColor(document.getElementById('colorValue').value); 
    window.focus();
    if (closeWindow) window.close();
	return;
}

//--> </SCRIPT>
</head>

<body style="padding: 1em;">
<h1><?php echo ___('Colorpicker'); ?></h1>
<p><?php echo ___('Please choose a color from below or enter the color value in the text area below.'); ?></p>
<script type="text/javascript"><!--
    document.write('<table><tr>');
    colors = new Array("ff", "cc", "99", "66", "33", "00");
    for (i=0; i<colors.length; i++) {
        for (j=0; j<colors.length; j++) {
            for (k=0; k<colors.length; k++) {
                color = "#"+colors[i]+colors[j]+colors[k];
                document.write('<td style="BACKGROUND-COLOR: '+color+'" width="10" height="10"><img src="../_images/transparent.gif" width="10" height="10" onClick="changeColor(\''+color+'\');"  style="cursor: pointer;"></td>\n');
            }
        }
        if (i+1<colors.length) document.write('</tr>\n<tr>\n'); 
    } 
    document.write('</tr></table>');
//--> </SCRIPT>
<script type="text/javascript"><!--
    document.write('<table style="margin-top: 5px;"><tr>');
    colors = new Array('00','11','22','33','44','55','66','77','88','99','aa','bb','cc','dd','ee','ff');
    for (i=colors.length-1; i>=0; i--) {
        color = "#"+colors[i]+colors[i]+colors[i];
        document.write('<td colspan=2 width=10  bgcolor="'+color+'"><img src="../_images/transparent.gif" width="10" height="10" onClick="changeColor(\''+color+'\');" style="cursor: pointer;"></td>\n');
    }
    document.write('</tr></table>');
//--> </SCRIPT>
<br />
<table width="100%"><tr><td style="width: 10%; border: black 1px solid;" bgcolor="#ffffff">
    <input type="text" id="colorValue" size="7" onChange="changeColor();" onBlur="changeColor();">
</td><td valign="middle" id="colorShow" style="width: 90%; border: black 1px solid;" bgcolor="#ffffff">&nbsp;
</td></tr></table>
<br />
    <input type="button" class="button" value="<?php echo ___('Ok'); ?>" onClick="ok(true);"> 
    <input type="button" class="button" value="<?php echo ___('Apply'); ?>" onClick="ok(false);"> 
    <input type="button" class="button" value="<?php echo ___('Cancel'); ?>" onClick="window.close()"> 
</body>
</html>
